FREECIV(6)

NAME
freeciv-mp-gtk2, freeciv-mp-gtk3, freeciv-mp-qt, freeciv-mp-cli - Custom content installers for the Freeciv game

SYNOPSIS
freeciv-mp-XXX [ -d|--debug level_number ] [ -h|--help ] [ -i|--install URL ] [ -L|--List URL ] [ -p|--prefix directory ] [ -v|--version ]

DESCRIPTION
Freeciv is a free turn-based multiplayer strategy game, in which each player becomes the leader of a civilization, fighting to obtain the ultimate goal: To become the greatest civilization. Players of Civilization II® by Microprose® should feel at home, since one aim of Freeciv is to have compatible rules. Freeciv is maintained by an international team of coders and enthusiasts, and is easily one of the most fun and addictive network games out there! This is the custom content installer program - see also freeciv-server(6) freeciv-client(6) . This program allows users to select and download add-on content ("modpacks") for Freeciv from the Internet, either from a list maintained by the Freeciv team, or by using a URL obtained by other means. It takes care of installing the files in the correct place under the user's home directory for this version of Freeciv; it does not install anything for system-wide use. freeciv-mp-cli is a version of the modpack installer usable from command line. By default it lists modpacks from the default list or from list specified with --List. One can then run it again by giving appropriate URL from the list for --install parameter. This manual page only lists the command line arguments. For details regarding the operation of freeciv-mp-XXX see README.modpack_installer in the Freeciv distribution, and the documentation at the Freeciv website (http://www.freeciv.org/)

OPTIONS
All options have a short form (single hyphen and single letter) and a long form (double hyphen and a complete word); their effects are identical.

-d level_number, --debug level_number
    Sets the amount of debugging information to be logged. Acceptable values for the level_number are: 0 for fatal messages only. 1 for fatal and error messages. 2 for fatal, error and normal messages (default). 3 for fatal, error, normal, and verbose messages.

-h, --help
    Prints a short summary of the command line options.

-i URL, --install URL
    Automatically install modpack from a given URL.

-L URL, --List URL
    Gets modpack list from given URL, rather than the standard location on the Freeciv team's servers.

-p directory, --prefix directory
    Installs modpacks under given directory hierarchy.

-v, --version
    Prints the version number and exits.

FILES
freeciv modpack installer installs files to the following subdirectories of the user's home directory (or another directory specified with --prefix), as appropriate: • .freeciv/scenarios/ • .freeciv/2.6/ The modpack installer maintains a record of installed modpack names and versions in these files: • .freeciv/scenarios/.control/modpacks.db • .freeciv/2.6/.control/modpacks.db This information is used for display, and for deciding whether any new modpacks' dependencies are already satisfied. It is not used by the other Freeciv programs, and can fairly safely be removed if it gets out of sync with the actual state of installed modpacks. These are text files whose format is subject to change.

ENVIRONMENT
freeciv modpack installer accepts these environment variables:

HOME
    Specifies the user's home directory.

http_proxy
    Set this variable accordingly when using a proxy.

LANG  or  LANGUAGE
    Sets the language and locale on some platforms.

LC_ALL  or  LC_CTYPE
    Similar to LANG (see documentation for your system).

USER
    Specifies the username of the current user.

BUGS
Please report bugs to the Freeciv bug tracker (https://osdn.net/projects/freeciv/ticket/) .

MORE INFO
See the Freeciv homepage (http://www.freeciv.org/) . Updates and new info is first posted there.

AUTHORS
The Freeciv Team <freeciv-dev AT freelists.org>.

SEE ALSO
freeciv-server(6) freeciv-client(6)